package com.yonge.cooleshow.biz.dal.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.springframework.format.annotation.DateTimeFormat;

/**
 * 教师风采视频表
 */
@TableName("teacher_style_video")
@ApiModel(value = "TeacherStyleVideo对象", description = "教师风采视频表")
public class TeacherStyleVideo implements Serializable {
	private static final long serialVersionUID = 1L;
    /**
     * 视频id
     */
    @ApiModelProperty("视频id ")
    @TableId(value = "id_", type = IdType.AUTO)
    private Long id;
    /**
    * 对应user表用户编号 
    */
    @ApiModelProperty("对应user表用户编号 ")
    @TableField(value = "user_id_")
    private Long userId;
    /** 
    * 视频地址 
    */
    @ApiModelProperty("视频地址 ")
	@TableField(value = "video_url_")
    private String videoUrl;
    /** 
    * 视频说明 
    */
    @ApiModelProperty("视频说明 ")
	@TableField(value = "describe_")
    private String describe;
    /** 
    * 视频浏览量 
    */
    @ApiModelProperty("视频浏览量 ")
	@TableField(value = "browse_")
    private Integer browse;
	@TableField(value = "create_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date createTime;
	@TableField(value = "update_time_")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date updateTime;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }

    public String getVideoUrl() {
        return videoUrl;
    }

    public void setVideoUrl(String videoUrl) {
        this.videoUrl = videoUrl;
    }

    public String getDescribe() {
        return describe;
    }

    public void setDescribe(String describe) {
        this.describe = describe;
    }

    public Integer getBrowse() {
        return browse;
    }

    public void setBrowse(Integer browse) {
        this.browse = browse;
    }

    public Date getCreateTime() {
        return createTime;
    }

    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    public Date getUpdateTime() {
        return updateTime;
    }

    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }
}